idevice_connect
idevice_connection_disable_bypass_ssl
idevice_connection_disable_ssl
idevice_connection_enable_ssl
idevice_connection_get_fd
idevice_connection_receive
idevice_connection_receive_timeout
idevice_connection_send
idevice_connection_t
idevice_connection_type
idevice_device_list_extended_free
idevice_device_list_free
IDEVICE_DEVICE_VERSION
idevice_disconnect
idevice_error_t
idevice_event_cb_t
idevice_event_subscribe
idevice_event_type
idevice_event_unsubscribe
idevice_events_subscribe
idevice_events_unsubscribe
idevice_free
idevice_get_device_list
idevice_get_device_list_extended
idevice_get_device_version
idevice_get_handle
idevice_get_udid
idevice_new
idevice_new_with_options
idevice_options
idevice_set_debug_level
idevice_strerror
idevice_subscription_context_t
idevice_t
libimobiledevice_version

## idevice_connection_receive_timeout()

idevice_error_t idevice_connection_receive_timeout | ( | idevice_connection_t | connection,
|  | char * | data,
|  | uint32_t | len,
|  | uint32_t * | recv_bytes,
|  | unsigned int | timeout )

Receive data from a device via the given connection.

This function will return after the given timeout even if no data has been received.

Parameters

  connection | The connection to receive data from.
  data | Buffer that will be filled with the received data. This buffer has to be large enough to hold len bytes.
  len | Buffer size or number of bytes to receive.
  recv_bytes | Number of bytes actually received.
  timeout | Timeout in milliseconds after which this function should return even if no data has been received.

Returns
  IDEVICE_E_SUCCESS if ok, otherwise an error code.